Update a file segment
curl --request PUT \
--url https://api.cloudglue.dev/v1/files/{file_id}/segments/{segment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.cloudglue.dev/v1/files/{file_id}/segments/{segment_id}"
payload = { "metadata": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.cloudglue.dev/v1/files/{file_id}/segments/{segment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"end_time": 123,
"thumbnail_url": "<string>",
"metadata": {},
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}File Segments
Update File Segments
Update a file segment
PUT
/
files
/
{file_id}
/
segments
/
{segment_id}
Update a file segment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the file
The ID of the segment
Body
application/json
File segment update parameters
The user defined metadata for the segment. Nullable
Response
File segment updated successfully
The ID of the segment
The ID of the file
The start time of the segment in seconds
The end time of the segment in seconds
The URL of the thumbnail for the segment (if available)
The user defined metadata for the segment
The ID of the segmentation job it belongs to
⌘I